const artApi = {
    country: '/rpc/view_country_code', //查询国家数据
    artworkRepair: '/rpc/view_art_artwork_repair_rel',
    artworkRecord: '/rpc/view_art_artwork_record', //查询档案
    artworkDetails: '/rpc/view_art_artwork_detail', //查看档案详情
    artUploadPicture: '/rpc/artUploadPicture', //图片上传
    artArtworkRecordInsert: '/rpc/artArtworkRecordInsert', //创建档案
    artArtworkRecordDelete: '/rpc/artArtworkRecordDelete', //删除艺术品档案
    artArtworkRecordUpdate: '/rpc/artArtworkRecordUpdate', //编辑艺术品档案
    viewWareHouseType: '/rpc/ViewWareHouseType', //查询仓库类型
    wareHouseTypeInsert: '/rpc/wareHouseTypeInsert', //创建仓库类型
    wareHouseTypeUpdate: '/rpc/wareHouseTypeUpdate', //修改仓库类型
    wareHouseTypeDelete: '/rpc/wareHouseTypeDelete', //删除仓库类型
    wareHouseInsert: '/rpc/wareHouseInsert', //创建仓库
    wareHouseUpdate: '/rpc/wareHouseUpdate', //修改仓库
    wareHouseDelete: '/rpc/wareHouseDelete', //删除仓库
    viewWareHouse: '/rpc/viewWareHouse', //查询仓库
    countInWareHouse: '/rpc/countArtworkInWareHouse', //盘点数据
    wareHouseEntryInsert: '/rpc/wareHouseEntryInsert', //新增入库
    wareHouseEntryUpdate: '/rpc/wareHouseEntryUpdate', //修改入库
    wareHouseEntryDelete: '/rpc/wareHouseEntryDelete', //删除入库
    viewWareHouseEntry: '/rpc/viewWareHouseEntry', //查询入库
    wareHouseOutboundInsert: '/rpc/wareHouseOutboundInsert', //新增出库记录
    wareHouseOutboundUpdate: '/rpc/wareHouseOutboundUpdate', //修改出库记录
    wareHouseOutboundDelete: '/rpc/wareHouseOutboundDelete', //删除出库记录
    viewWareHouseOutbound: '/rpc/viewWareHouseOutbound', //c查询出库记录
    wareHouseOutboundReviewInsert: '/rpc/wareHouseOutboundReviewInsert', //创建出库申请审核
    wareHouseOutboundReviewUpdate: '/rpc/wareHouseOutboundReviewUpdate', //审核出库申请
    viewWareHouseOutboundReview: '/rpc/viewWareHouseOutboundReview', //查询出库记录审核
    conditionCheckInsert: '/rpc/conditionCheckInsert', //创建状况检查
    conditionCheckUpdate: '/rpc/conditionCheckUpdate', //修改状况检查
    conditionCheckDelete: '/rpc/conditionCheckDelete', //删除状况检查
    viewConditionCheck: '/rpc/viewConditionCheck', //查询状况检查
    viewRepairRecord: '/rpc/viewRepairRecord', //查询修复档案列表
    repairRecordInsert: '/rpc/repairRecordInsert', //创建修复档案
    repairRecordUpdate: '/rpc/repairRecordUpdate', //编辑修复档案
    repairRecordDelete: '/rpc/repairRecordDelete', //删除修复档案
    repairRecordArchiveReviewInsert: '/rpc/repairRecordArchiveReviewInsert', //修复档案归档
    viewRepairRecordArchiveReview: '/rpc/viewRepairRecordArchiveReview', //查询修复档案归档记录
    repairPlanInsert: '/rpc/repairPlanInsert', //创建修复方案
    repairPlanUpdate: '/rpc/repairPlanUpdate', //修改修复方案
    repairPlanDelete: '/rpc/repairPlanDelete', //删除修复方案
    viewRepairPlan: '/rpc/viewRepairPlan', //查询修复方案
    repairPlanReviewInsert: '/rpc/repairPlanReviewInsert', //创建修复方案审核
    repairPlanReviewUpdate: '/rpc/repairPlanReviewUpdate', //审核修复方案
    viewRepairPlanReview: '/rpc/viewRepairPlanReview', //查询修复方案审核列表
    viewRepairLog: '/rpc/viewRepairLog', //查询修复记录
    repairLogInsert: '/rpc/repairLogInsert', //创建修复记录
    repairLogUpdate: '/rpc/repairLogUpdate', //修改修复记录
    repairLogDelete: '/rpc/repairLogDelete', //删除修复记录
    materialTypeInsert: '/rpc/materialTypeInsert', //创建材料类型
    materialTypeUpdate: '/rpc/materialTypeUpdate', //修改材料类型
    materialTypeDelete: '/rpc/materialTypeDelete', //删除材料类型
    viewMaterialType: '/rpc/viewMaterialType', //查询材料类型
    materialInsert: '/rpc/materialInsert', //创建材料
    materialUpdate: '/rpc/materialUpdate', //修改材料
    materialDelete: '/rpc/materialDelete', //删除材料
    viewMaterial: '/rpc/viewMaterial', //查询材料
    equipmentTypeInsert: '/rpc/artworkEquipmentTypeInsert', //创建设备类型
    equipmentTypeUpdate: '/rpc/artworkEquipmentTypeUpdate', //修改设备类型
    equipmentTypeDelete: '/rpc/artworkEquipmentTypeDelete', //删除设备类型
    viewEquipmentType: '/rpc/viewArtworkEquipmentType', //查询设备类型
    equipmentInsert: '/rpc/artworkEquipmentInsert', //创建设备
    equipmentUpdate: '/rpc/artworkEquipmentUpdate', //修改设备
    equipmentDelete: '/rpc/artworkEquipmentDelete', //删除设备
    viewEquipment: '/rpc/viewArtworkEquipment', //查询设备
    artworkEquipmentDataInsert: '/rpc/artworkEquipmentDataInsert', //创建设备数据
    artworkEquipmentDataDelete: '/rpc/artworkEquipmentDataDelete', //删除设备数据
    viewArtworkEquipmentData: '/rpc/viewArtworkEquipmentData', //查询设备数据列表
    cellsysSysDictCategoryInsert: '/rpc/cellsysSysDictCategoryInsert', //创建分类字典
    cellsysSysDictCategoryUpdate: '/rpc/cellsysSysDictCategoryUpdate', //更新分类字典
    cellsysSysDictCategoryDelete: '/rpc/cellsysSysDictCategoryDelete', //删除分类字典
    laboratoryInsert: '/rpc/laboratoryInsert', //创建实验室
    laboratoryUpdate: '/rpc/laboratoryUpdate', //修改实验室
    laboratoryDelete: '/rpc/laboratoryDelete', //删除实验室
    viewLaboratory: '/rpc/viewLaboratory', //查询实验室
    countArtworkEquipmentInLaboratory: '/rpc/countArtworkEquipmentInLaboratory', //统计实验室各设备类型的设备数量
    viewDisease: '/rpc/view_disease', //查询病害记录
    diseaseInsert: '/rpc/diseaseInsert', //创建病害记录
    diseaseUpdate: '/rpc/diseaseUpdate', //更新病害记录信息
    diseaseDelete: '/rpc/diseaseDelete', //删除病害记录
    iconInsert: '/rpc/cellsysIconInsert', //创建图标
    repairRecordPublish: '/rpc/repairRecordPublish', //修复档案发布
    repairRecordArchiveReviewUpdate: '/rpc/repairRecordArchiveReviewUpdate', //审核修复档案归档
    repairRecordCancelArchive: '/rpc/repairRecordCancelArchive', //取消修复档案归档
    viewStatsAuditNumberCount: '/rpc/view_stats_auditNumber_count', //查询待审核事项数量
};

export { artApi };
